    Return the data used by plot_delchi.

get_delchi_plot(id=None, recalc=True)
id - int or str, optional
recalc - bool, optional

Return the residual data, measured in units of the error, for the default data set:

>>> rplot = get_delchi_plot() >>> np.min(rplot.y) -2.85648373819671875 >>> np.max(rplot.y) 2.89477053577520982

Display the contents of the residuals plot for data set 2:

>>> print(get_delchi_plot(2))

Overplot the residuals plot from the 'core' data set on the 'jet' data set:

>>> r1 = get_delchi_plot('jet') >>> r2 = get_delchi_plot('core') >>> r1.plot() >>> r2.overplot()

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
recalc
If False then the results from the last call to

`plot_delchi` (or `get_delchi_plot` ) are returned, otherwise the data is re-generated.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023